using System;
using System.Collections.Generic;
using System.Text;

namespace ExWithMatrix
{
    class Program
    {
        static void Main(string[] args)
        {
        const int SIZE = 5;
		Matrix a = new Matrix(40,SIZE);
		Console.WriteLine("Matrix a:\n" + a.toString());
		
		for (int i=0; i<SIZE; i++)
		{
            Console.WriteLine("The sum of row " + i + " is: " + a.sumRow(i));
		}

        Console.WriteLine();
		for (int i=0; i<SIZE; i++)
		{
            Console.WriteLine("The sum of column " + i + " is: " + a.sumCol(i));
		}

        Console.WriteLine();
        Console.WriteLine("The sum of the main diagonal is: " + a.sumDiagonal1());
        Console.WriteLine("The sum of the secondary diagonal is: " + a.sumDiagonal2());

        Console.WriteLine();
		Matrix b = a.tranverse();
        Console.WriteLine("Matrix b(the tranverse of a):\n" + b.toString());

        }
    }
}
